function obj = horizontalForce(obj)
       %Calculate coefficients
       obj = obj.characteristicLength();
       obj = obj.constants();
       
       %Calculate horizontal force
       
       if obj.Platform.alpha > 0 %Upward sloping structure
       obj.HorizontalForce = (obj.C1*obj.Platform.D...
                * obj.IceParameters.sigma_f ...
                * ((obj.EnvParameters.rho_w*obj.EnvParameters.g...
                .* obj.IceParameters.h.^5)...
                / (obj.IceParameters.E)).^0.25)...
                .* (1+(pi^2*obj.L)/(4*obj.Platform.D))...
                + obj.C2*obj.Platform.t.*obj.IceParameters.h...
                *obj.Platform.D*obj.Platform.t...
                *(obj.IceParameters.rho_i)...
                *obj.EnvParameters.g;
            
       elseif obj.Platform.alpha < 0 %Downward sloping structure
       obj.HorizontalForce = (obj.C3*obj.Platform.D...
                * obj.IceParameters.sigma_f ...
                * ((obj.EnvParameters.rho_w*obj.EnvParameters.g...
                .* obj.IceParameters.h.^5)...
                / (obj.IceParameters.E)).^0.25)...
                .* (1+(pi^2*obj.L)/(4*obj.Platform.D))...
                + obj.C4*obj.Platform.t.*obj.IceParameters...
                .h*obj.Platform.D...
                *(obj.EnvParameters.rho_w-obj.IceParameters.rho_i)...
                *obj.EnvParameters.g; 
            
       elseif obj.Platform.alpha == 0 % Vertical structure is not accepted
           disp('Slope angle of structure is not valid (=0)')
       end
        
end %function