classdef IceLoadManagedIce
    %IceLoadManagedIce: Calculate ice loads in managed ice, as
    %   presented in section 5.6 of the thesis.
    
    %% PROPERTIES
    properties
        %Horizontal forces in managed ice, corresponding to theory in
        %section TODO
        HForceScenario1
        HForceScenario2
        HForceScenario3
        VForceScenario1
        VForceScenario2
        VForceScenario3
        Platform
        EnvParameters
        IceParameters
    end %properties
    
    %% METHODS
    methods
        %Class constructor
        function obj = IceLoadManagedIce(Platform,EnvParameters,IceParameters)
            obj.Platform = Platform;
            obj.EnvParameters = EnvParameters;
            obj.IceParameters = IceParameters;        
        end %class constructor
        
        %Scenario 1 - Ice feature broken into large ice pieces
        obj = Scenario1(obj)
        
        %Scenario 2 - Small ice pieces and minimum pressured ice
        obj = Scenario2(obj)
        
        %Scenario 3 - Small ice pieces with pressured ice
        obj = Scenario3(obj)
        
    end %methods
    
end %classdef