function obj = horizontalForce(obj)         
           %Calculate all necessary constants
           obj = obj.newtonRaphsonIteration();
           obj = obj.a1();
           obj = obj.a2();
           obj = obj.KE();
           obj = obj.h();
           obj = obj.f();
           obj = obj.g();
           obj = obj.a3();
           obj = obj.a4();

           
           %Calculate horizontal force
           
           if obj.Platform.alpha > 0 %Upward sloping cone
           obj.HorizontalForce = (obj.A1*obj.IceParameters.sigma_f...
               .*obj.IceParameters.h.^2 ...
               + obj.A2*obj.EnvParameters.rho_w...
               *obj.EnvParameters.g ...
               .* obj.IceParameters.h ...
               * obj.Platform.D^2 ...
               + obj.A3*obj.EnvParameters.rho_w...
               *obj.EnvParameters.g ...
               .* obj.IceParameters.h ...
               * (obj.Platform.D^2 ...
               -obj.Platform.D_r^2))*obj.A4;  
               
           elseif obj.Platform.alpha < 0 %Downward sloping cone
           obj.HorizontalForce = (obj.A1*obj.IceParameters.sigma_f...
               .*obj.IceParameters.h.^2 ...
               + obj.A2*(obj.EnvParameters.rho_w-obj.IceParameters.rho_i)...
               *obj.EnvParameters.g ...
               .* obj.IceParameters.h ...
               * obj.Platform.D^2 ...
               + obj.A3*(obj.EnvParameters.rho_w-obj.IceParameters.rho_i)...
               *obj.EnvParameters.g ...
               .* obj.IceParameters.h ...
               * (obj.Platform.D^2 ...
               -obj.Platform.D_r^2))*obj.A4;  
           end
end %function