classdef IceMassLimitMomentum
    %IceMassLimitMomentum: Calculates maximum mass of ice floe
    %   colliding with the platform. Theory explained in section 5.5 of
    %   thesis.
    
    %% PROPERTIES
    properties
        MaxMass
        EnvParameters
        IceParameters
        RestoringCoefficients  
    end %properties
   
    
    %% METHODS
    methods
        % Class constructor
        function obj = IceMassLimitMomentum(EnvParameters,IceParameters,RestoringCoefficients)
            obj.EnvParameters = EnvParameters;
            obj.IceParameters = IceParameters;
            obj.RestoringCoefficients = RestoringCoefficients;
        end %function
    end %methods
    
    methods
        function obj = CalculateMaxMass(obj)
            obj.MaxMass = (obj.RestoringCoefficients.C11*25^2)./(obj.IceParameters.V.^2);   
        end %function
    end %methods  
    
end