classdef MooringParameters
    %MOORING: This class contains the user defined parameters for the
    %mooring system. Values are changed in Input.m
    
    properties
        l           % Length of mooring line
        W           % Weight per unit length in water
        MBS         % Minimum breaking strength of line
        TH          % Horizontal pretension
        i           % Number of mooring lines
        D_turret    % Diameter of turret/spider buoy 
    end
    
    methods
        % Class constructor
        function obj = MooringParameters(Input)
            obj.l = Input.l;
            obj.W = Input.W;
            obj.MBS = Input.MBS;
            obj.TH = Input.TH;
            obj.i = Input.i;
            obj.D_turret = Input.D_turret;
        end
    end
    
end

