%% Write results into a textfile. Also input data is written to file.

fileID = fopen('results.txt','w');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'########################-INPUT-#######################\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=--------------Environmental parameters--------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Acceleration of gravity       = %8.2f [m/s^2] \n',EnvParameters.g);
fprintf(fileID,'* Density of water              = %8.2f [kg/m^3] \n',EnvParameters.rho_w);
fprintf(fileID,'* Density of air                = %8.2f [kg/m^3] \n',EnvParameters.rho_a);
fprintf(fileID,'* Maximum wind speed            = %8.2f [m/s] \n',EnvParameters.V_w);
fprintf(fileID,'* Water depth                   = %8.2f [m] \n',EnvParameters.d);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=------------------------Platform--------------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Waterline diameter            = %8.2f [m] \n',Platform.D);
fprintf(fileID,'* Rubble ridedown diameter      = %8.2f [m] \n',Platform.D_r);
fprintf(fileID,'* Slope angle                   = %8.2f [deg]\n',Platform.alpha*(180/pi));
fprintf(fileID,'* Depth of sloping part         = %8.2f [m]\n',Platform.t);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=--------------------Ice parameters------------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Friction coefficient          = %8.2f [-] \n',IceParameters.mu);
fprintf(fileID,'* Density                       = %8.2f [kg/m^3] \n',IceParameters.rho_i);
fprintf(fileID,'* Flexural strength,level ice   = %8.2E [N/m^2] \n',IceParameters.sigma_f);
fprintf(fileID,'* Elastic modulus               = %8.2E [N/m^2] \n',IceParameters.E);
fprintf(fileID,'* Poisson ratio                 = %8.2f [-] \n',IceParameters.nu);
fprintf(fileID,'* Level ice thickness           = %8.2f [m] \n',IceParameters.h);
fprintf(fileID,'* Keel depth, first-year ridge  = %8.2f [m] \n',IceParameters.h_k);
fprintf(fileID,'* Sail height, first-year ridge = %8.2f [m] \n',IceParameters.h_s);
fprintf(fileID,'* Angle of internal friciton    = %8.2f [deg] \n',IceParameters.omega);
fprintf(fileID,'* Void ratio of rubble          = %8.2f [-] \n',IceParameters.n);
fprintf(fileID,'* Thickness, MY-ridge           = %8.2f [m] \n',IceParameters.h_r);
fprintf(fileID,'* Top width, MY-ridge           = %8.2f [m] \n',IceParameters.B_t);
fprintf(fileID,'* Bottom width, MY-ridge        = %8.2f [m] \n',IceParameters.B_b);
fprintf(fileID,'* Flexural strength, ridge ice  = %8.2E [N/m^2] \n',IceParameters.sigma_r);
fprintf(fileID,'* Floe thickness, managed ice   = %8.2f [m] \n',IceParameters.h_f);
fprintf(fileID,'* Porosity of rubble            = %8.2f [-] \n',IceParameters.e);
fprintf(fileID,'* Ice rubble friction           = %8.2f [-] \n',IceParameters.phi);
fprintf(fileID,'* Ice rubble cohesion           = %8.2f [Pa] \n',IceParameters.c);
fprintf(fileID,'* Bearing capacity              = %8.2f [-] \n',IceParameters.K);
fprintf(fileID,'* Rubble pressure ratio         = %8.2f [-] \n',IceParameters.K_0);
fprintf(fileID,'* Ice pressure                  = %8.2f [Pa] \n',IceParameters.p);
fprintf(fileID,'* Angle of rubble block         = %8.2f [rad] \n',IceParameters.theta);
fprintf(fileID,'* Length and width of ice floe  = %8.2f [m] \n',IceParameters.L);
fprintf(fileID,'* Average ridge building force  = %8.0f [N/m] \n',IceParameters.w);
fprintf(fileID,'* Wind drag coefficient of floe = %8.2E [-] \n',IceParameters.C_w);
fprintf(fileID,'* Ice drift speed               = %8.2f [m/s] \n',IceParameters.V);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=-----------------------Mooring----------------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Water depth                   = %8.2f [m] \n',EnvParameters.d);
fprintf(fileID,'* Lenght of line                = %8.2f [m] \n',MooringParameters.l);
fprintf(fileID,'* Weight in water               = %8.2f [N/m]\n',MooringParameters.W);
fprintf(fileID,'* MBS                           = %8.2E [N]\n',MooringParameters.MBS);
fprintf(fileID,'* Horizontal pretension         = %8.2E [N]\n',MooringParameters.TH);
fprintf(fileID,'* Number of lines               = %8.2f [-]\n',MooringParameters.i);
fprintf(fileID,'* Diameter of turret            = %8.2f [m]\n',MooringParameters.D_turret);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'#######################-RESULTS-######################\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=------------------Level ice--Ralston----------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal force             = %8.3E [N] \n',Method1);
fprintf(fileID,'* Vertical force               = %8.3E [N] \n',Method1V);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=------------------Level ice--Croasdale--------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal force             = %8.3E [N] \n',Method2);
fprintf(fileID,'* Vertical force               = %8.3E [N] \n',Method2V);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=------------First-year Ridge--Dolgopolov------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal force             = %8.3E [N] \n',IceLoadRidgeDolgopolov.HorizontalForce+ConsolidatedLayerH);
fprintf(fileID,'* Vertical force               = %8.3E [N] \n',IceLoadRidgeDolgopolov.VerticalForce+ConsolidatedLayerV);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=--------------First-year Ridge--Mellor--------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal force             = %8.3E [N] \n',IceLoadRidgeMellor.HorizontalForce+ConsolidatedLayerH);
fprintf(fileID,'* Vertical force               = %8.3E [N] \n',IceLoadRidgeMellor.VerticalForce+ConsolidatedLayerV);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=--------------Multi-year Ridge--Wang----------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal force             = %8.3E [N] \n',IceLoadRidgeWang.HorizontalForce);
fprintf(fileID,'* Vertical force               = %8.3E [N] \n',IceLoadRidgeWang.VerticalForce);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=--------------Multi-year Ridge--Ralston-------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Vertical force, initial      = %8.3E [N] \n',IceLoadRidgeRalston.VerticalForceInitial);
fprintf(fileID,'* Vertical force, hinge        = %8.3E [N] \n',IceLoadRidgeRalston.VerticalForceCrack);
fprintf(fileID,'* Horizontal force, initial    = %8.3E [N] \n',IceLoadRidgeRalston.HorizontalForceInitial);
fprintf(fileID,'* Horizontal force, hinge      = %8.3E [N] \n',IceLoadRidgeRalston.HorizontalForceCrack);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=----------------------Managed ice-------------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal force, Scenario 1 = %8.3E [N] \n',IceLoadManagedIce.HForceScenario1);
fprintf(fileID,'* Horizontal force, Scenario 2 = %8.3E [N] \n',IceLoadManagedIce.HForceScenario2);
fprintf(fileID,'* Horizontal force, Scenario 3 = %8.3E [N] \n',IceLoadManagedIce.HForceScenario3);
fprintf(fileID,'* Vertical force, Scenario 1   = %8.3E [N] \n',IceLoadManagedIce.VForceScenario1);
fprintf(fileID,'* Vertical force, Scenario 2   = %8.3E [N] \n',IceLoadManagedIce.VForceScenario2);
fprintf(fileID,'* Vertical force, Scenario 3   = %8.3E [N] \n',IceLoadManagedIce.VForceScenario3);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=-----------------Limiting ice force-----------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Horizontal driving force     = %8.3E [N] \n',IceLoadLimitForce.HorizontalForce);
fprintf(fileID,'======================================================\n');
fprintf(fileID,'=--------------------Mooring system------------------=\n');
fprintf(fileID,'======================================================\n');
fprintf(fileID,'* Individual stiffness         = %8.3E [N/m] \n',RestoringCoefficients.k);
fprintf(fileID,'* C11                          = %8.3E [N/m] \n',RestoringCoefficients.C11);
fprintf(fileID,'* C22                          = %8.3E [N/m] \n',RestoringCoefficients.C22);
fprintf(fileID,'* C66                          = %8.3E [N/m] \n',RestoringCoefficients.C66);
fprintf(fileID,'* X                            = %8.3E [N/m] \n',RestoringCoefficients.X);
fprintf(fileID,'======================================================\n');
fclose(fileID);


