clear all
clc

% Calls only objects that are necessary to determine the restoring
% coefficients
Input = Input();
EnvParameters = EnvParameters(Input);
MooringParameters = MooringParameters(Input);
RestoringCoefficients = RestoringCoefficients(MooringParameters,EnvParameters);
RestoringCoefficients = RestoringCoefficients.RestoringCoeffC11();
RestoringCoefficients = RestoringCoefficients.RestoringCoeffC22();
RestoringCoefficients = RestoringCoefficients.RestoringCoeffC66();

% Use results to determine maximum mass of ice feature vs ice drift speed.

%Max displacement
disp = 25;

%Define range of ice drift speed
V = 0.06:0.01:1;

%Calculate max mass
M = (RestoringCoefficients.C11*25^2)./(V.^2);

figure(1)
semilogy(V,M)
xlabel('Ice drift speed, [m/s]')
ylabel('Mass of ice feature, [kg]')
grid on
ylim([0 4*10^11])

matlab2tikz( 'maxmass.tikz', 'height', '\figureheight', 'width', '\figurewidth' );
